<template>
  <div>
    <div class="row">
      <StatsBox v-bind:number="savingAchievements.amount" :label="savingAchievements.label" icon="savingAchievements" :status="savingAchievements.status"></StatsBox>

      <StatsBox v-bind:number="currMonth.amount" :label="currMonth.label" icon="currMonth" :status="currMonth.status"></StatsBox>
      <StatsBox
        v-bind:number="annualAvg.amount"
        :label="annualAvg.label"
        icon="annualAvg" :status="annualAvg.status"
      ></StatsBox>
      </div>
  </div>
</template>

<script>
import moment from "moment";
import StatsBox from "./StatsBox.vue";
export default {
  props: ["selectedMonth"],

  components: {
    StatsBox
  },

  data: function() {
    return {
      currMonth: "",
      annualAvg: "",
      savingAchievements: ""
    };
  },

  created: function() {
    Fire.$on("GetSummaryStats", () => {
      this.getStats();
    });

    this.getStats();
  },

  methods: {
    getStats() {
      let uri =
        "api/report-summary/" + moment(this.selectedMonth).format("YYYY-MM");

      axios.get(uri).then(response => {

       this.currMonth = response.data.currMonth;
        this.annualAvg = response.data.annualAvg;
        this.savingAchievements = response.data.savingAchievements;

        Fire.$emit(
          "AfterGotSummaryStats",
          this.currMonth,
          this.annualAvg,
          this.savingAchievements
        );
      });
    }
  }
};
</script>